//
// Created by spenc on 5/22/2025.
//

// src/Components/TagComponent.cpp
#include "TagComponent.h"

namespace OX
{
    YAML::Node TagComponent::Serialize() const
    {
        YAML::Node node;
        node["type"] = "TagComponent";
        node["name"] = name;
        return node;
    }

    void TagComponent::Deserialize(const YAML::Node &node)
    {
        if (node["name"])
            name = node["name"].as<std::string>();
    }
} // namespace OX
